%define url_ver %(echo %version | cut -d. -f1,2)

Summary:	An image viewer and browser for GNOME
Name:		gthumb
Version:	3.4.5
Release:	%mkrel 2
License:	GPLv2+
URL:		http://gthumb.sourceforge.net/
Group:		Graphics/Viewers
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(champlain-0.12) >= 0.12.0
BuildRequires:	pkgconfig(champlain-gtk-0.12) >= 0.12.0
BuildRequires:	pkgconfig(clutter-1.0) >= 1.0.0
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 1.0.0
BuildRequires:	pkgconfig(exiv2) >= 0.21
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.32.0
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1) >= 3.2.0
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gstreamer-1.0) >= 1.0.0
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= 1.0.0
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(libbrasero-burn3) >= 3.2.0
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libraw) >= 0.14
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.34.0
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.36
BuildRequires:	pkgconfig(libsoup-gnome-2.4) >= 2.36
BuildRequires:	pkgconfig(libwebp) >= 0.2.0
BuildRequires:	pkgconfig(sm) >= 1.0.0
BuildRequires:	pkgconfig(webkit2gtk-4.0) >= 1.10.0
BuildRequires:	pkgconfig(zlib)
BuildRequires:	yelp-tools
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	libsecret-devel
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	itstool
BuildRequires:	intltool >= 0.35.0
Requires:	gsettings-desktop-schemas

%description
gThumb lets you browse your hard disk, showing you thumbnails of image files. 
It also lets you view single files (including GIF animations), add comments to
images, organize images in catalogs, print images, view slideshows, set your
desktop background, and more. 

%package devel
Summary: Header files for building %name extensions
Group: Development/C

%description devel
gThumb lets you browse your hard disk, showing you thumbnails of image files. 
It also lets you view single files (including GIF animations), add comments to
images, organize images in catalogs, print images, view slideshows, set your
desktop background, and more. 

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome

# remove unpackaged files 
find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%doc AUTHORS NEWS README COPYING
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/%{name}/
%{_datadir}/help/*/%{name}/
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}*.xml
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/icons/hicolor/*/apps/*.*
%dir %{_libdir}/%name/
%dir %{_libdir}/%name/extensions/
%{_libdir}/%{name}/extensions/*.extension
%{_libdir}/%{name}/extensions/*.so
%{_mandir}/man?/%{name}.*

%files devel
%doc ChangeLog
%{_includedir}/%{name}-%{url_ver}/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/%{name}.m4


%changelog
* Tue Jun 20 2017 neoclust <neoclust> 3.4.5-2.mga6
+ Revision: 1107992
- Rebuild against new exiv2

* Thu Apr 20 2017 ovitters <ovitters> 3.4.5-1.mga6
+ Revision: 1096922
- new version 3.4.5

* Wed Dec 28 2016 neoclust <neoclust> 3.4.4.1-2.mga6
+ Revision: 1078429
- Rebuild for new libraw

* Wed Oct 12 2016 ovitters <ovitters> 3.4.4.1-1.mga6
+ Revision: 1060434
- new version 3.4.4.1

* Mon Oct 10 2016 ovitters <ovitters> 3.4.4-1.mga6
+ Revision: 1060034
- new version 3.4.4

* Mon Apr 11 2016 ovitters <ovitters> 3.4.3-1.mga6
+ Revision: 1000519
- new version 3.4.3

* Mon Mar 14 2016 ovitters <ovitters> 3.4.2-1.mga6
+ Revision: 990707
- new version 3.4.2

* Sat Jan 02 2016 luigiwalser <luigiwalser> 3.4.1-3.mga6
+ Revision: 918201
- rebuild for libwebp

* Mon Dec 28 2015 tv <tv> 3.4.1-2.mga6
+ Revision: 916255
- rebuild for new libraw

  + wally <wally>
    - drop unneeded libopenraw-devel BR

* Thu Sep 24 2015 tv <tv> 3.4.1-1.mga6
+ Revision: 883080
- new release

* Wed Aug 26 2015 fwang <fwang> 3.4.0-2.mga6
+ Revision: 869486
- rebuild for exiv

* Sat Jun 20 2015 ovitters <ovitters> 3.4.0-1.mga6
+ Revision: 836621
- new version 3.4.0
- dropped merged patch 1

* Wed Oct 15 2014 fwang <fwang> 3.3.2-5.mga5
+ Revision: 750754
- build against libraw
- drop unused switch

* Wed Oct 15 2014 fwang <fwang> 3.3.2-4.mga5
+ Revision: 750080
- add upstream patch to build with webkit2gtk-4.0
- build with webkit2gtk-4.0

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3.2-2.mga5
+ Revision: 679995
- Mageia 5 Mass Rebuild

* Sun May 18 2014 ovitters <ovitters> 3.3.2-1.mga5
+ Revision: 623535
- new version 3.3.2

* Sat Feb 15 2014 luigiwalser <luigiwalser> 3.3.1-3.mga5
+ Revision: 592105
- rebuild for libwebp

* Mon Feb 10 2014 dams <dams> 3.3.1-2.mga5
+ Revision: 589009
- rebuild for new exiv2

* Wed Feb 05 2014 dams <dams> 3.3.1-1.mga5
+ Revision: 583027
- new version 3.3.1

* Tue Feb 04 2014 dams <dams> 3.2.6-2.mga5
+ Revision: 581852
- adds 'gsettings-desktop-schemas' as a require (mga#12531)

* Tue Feb 04 2014 dams <dams> 3.2.6-1.mga5
+ Revision: 580847
- new version 3.2.6

* Mon Dec 23 2013 dams <dams> 3.2.5-1.mga4
+ Revision: 560069
- new version 3.2.5

* Tue Oct 22 2013 umeabot <umeabot> 3.2.4-2.mga4
+ Revision: 542415
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.2.4-1.mga4
+ Revision: 497542
- new version 3.2.4

* Thu Aug 01 2013 dams <dams> 3.2.3-3.mga4
+ Revision: 462445
- rebuild for new cogl

* Sun Jul 14 2013 sander85 <sander85> 3.2.3-2.mga4
+ Revision: 454297
- Rebuild for new cogl

* Wed Jul 10 2013 ovitters <ovitters> 3.2.3-1.mga4
+ Revision: 452543
- new version 3.2.3

* Mon Jun 03 2013 fwang <fwang> 3.2.2-3.mga4
+ Revision: 435956
- rebuild for new libpng

* Mon May 27 2013 fwang <fwang> 3.2.2-2.mga4
+ Revision: 428609
- rebuild for new cogl

* Thu May 23 2013 dams <dams> 3.2.2-1.mga4
+ Revision: 424967
- new version 3.2.2

* Tue Apr 16 2013 dams <dams> 3.2.1-1.mga3
+ Revision: 410185
- new version 3.2.1

* Wed Apr 10 2013 dams <dams> 3.2.0-1.mga3
+ Revision: 409403
- remove useless patch for gstreamer 1.0
- new version 3.2.0
- update buildrequires
- clean specfile

* Sat Jan 12 2013 umeabot <umeabot> 3.1.2-3.mga3
+ Revision: 352799
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 fwang <fwang> 3.1.2-2.mga3
+ Revision: 332419
- ad upstream patch to port to gst 1.0

* Mon Oct 15 2012 ovitters <ovitters> 3.1.2-1.mga3
+ Revision: 306759
- new version 3.1.2

* Sun Sep 30 2012 fwang <fwang> 3.1.1-2.mga3
+ Revision: 300951
- update rpm group
- rebuild for new cogl

* Mon Sep 24 2012 fwang <fwang> 3.1.1-1.mga3
+ Revision: 296949
- new version 3.1.1

* Mon Aug 20 2012 ovitters <ovitters> 3.0.2-1.mga3
+ Revision: 282708
- new version 3.0.2

* Mon Jun 18 2012 fwang <fwang> 3.0.1-2.mga3
+ Revision: 261639
- rebuild for new exiv

* Mon May 28 2012 ovitters <ovitters> 3.0.1-1.mga3
+ Revision: 248315
- update file list
- update buildrequires
- new version 3.0.1

* Wed Apr 25 2012 fwang <fwang> 3.0.0-1.mga2
+ Revision: 233181
- new version 3.0.0
- new version 2.90.3

* Tue Mar 06 2012 fwang <fwang> 2.90.1-1.mga2
+ Revision: 220258
- update file list
- update file list
- fix build with latest gtk
- new version 2.90.1

* Tue Jan 24 2012 fwang <fwang> 2.14.2-1.mga2
+ Revision: 200506
- new version 2.14.2

* Fri Dec 23 2011 fwang <fwang> 2.14.1-2.mga2
+ Revision: 186608
- use gnome-autogen
- rebuild for new libtiff

* Tue Dec 06 2011 fwang <fwang> 2.14.1-1.mga2
+ Revision: 177203
- new version 2.14.1

* Wed Nov 30 2011 fwang <fwang> 2.14.0-3.mga2
+ Revision: 174398
- disable schema install
- disable clutter req

* Wed Nov 23 2011 wally <wally> 2.14.0-2.mga2
+ Revision: 171410
- BR gnome-common
- rebuild for new cogl and clutter
- add patch to build against clutter-gtk-1.0

* Sat Oct 29 2011 fwang <fwang> 2.14.0-1.mga2
+ Revision: 159390
- update file list
- new version 2.14.0

* Sun Oct 09 2011 fwang <fwang> 2.13.91-2.mga2
+ Revision: 153420
- rebuild for new exiv2

* Wed Sep 28 2011 ovitters <ovitters> 2.13.91-1.mga2
+ Revision: 150048
- new version 2.13.91

* Mon Sep 19 2011 wally <wally> 2.13.90-2.mga2
+ Revision: 145706
- rebuild for new cogl

* Wed Sep 14 2011 fwang <fwang> 2.13.90-1.mga2
+ Revision: 143123
- new version 2.13.90

* Wed Sep 14 2011 fwang <fwang> 2.13.3-2.mga2
+ Revision: 143122
- rebuild for new libpng
- champlain 0.8 does not exist
- new version 2.13.3

* Thu Jun 30 2011 ahmad <ahmad> 2.13.2-1.mga2
+ Revision: 117019
- Update to 2.13.2
- Change BR to clutter-gtk010-devel

* Thu Jun 16 2011 dmorgan <dmorgan> 2.12.3-1.mga2
+ Revision: 107996
- Fix build

* Tue Apr 19 2011 pterjan <pterjan> 2.12.3-1.mga1
+ Revision: 88099
- Update to 2.12.3

* Thu Feb 17 2011 blino <blino> 2.12.1-5.mga1
+ Revision: 53351
- remove old ldconfig scriptlets and mkrel stuff
- imported package gthumb

